## hbci4java 3.1.37+dfsg

=== chipcard/src/tools/Makefile ===

DEFINES  = -D__UNIX -g
INCLUDES = -I../include
WARNINGS = -Wall
# removed "-Werror -pedantic" because of dlsym() typecast problem

CC       = g++
CFLAGS   = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
LIBS	 = -L../../bin -lzkachip-highlevel -lzkachip-lowlevel -ldl

SOURCES = t_hbci_cardinfo.cpp \
          t_hbci_cardtype.cpp \
          t_ddv_checkpin.cpp \
          t_ddv_editdata.cpp \
          t_ddv_readdata.cpp \
          t_rsa_cardinfo.cpp \
          t_rsa_editkeys.cpp \
	  t_test.cpp

PROGRAMS = ../../bin/t_hbci_cardinfo \
           ../../bin/t_hbci_cardtype \
           ../../bin/t_ddv_checkpin \
           ../../bin/t_ddv_editdata \
           ../../bin/t_ddv_readdata \
           ../../bin/t_rsa_cardinfo \
           ../../bin/t_rsa_editkeys \
	   ../../bin/t_test

.SUFFIXES: .cpp .o

../../bin/%.o: %.cpp
	$(CC) -c -o $@ $(CFLAGS) $<
../../bin/%: ../../bin/%.o ../../bin/libzkachip-highlevel.a ../../bin/libzkachip-lowlevel.a
	$(CC) -fPIC -o $@ $< $(LIBS)

all: depend $(PROGRAMS)

depend: Makefile.depend

Makefile.depend: $(SOURCES)
	for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend

include Makefile.depend

## hbci4java 3.0.15+dfsg

=== debian/changelog ===
hbci4java (3.0.15+dfsg-2) unstable; urgency=medium

  * Add link to the license change issue
  * Rename package to libhbci4j-core-java

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 May 2018 23:04:28 +0200

hbci4java (3.0.15+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #897371)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 May 2018 00:23:23 +0200

=== debian/control ===
Source: hbci4java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
 libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc 
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
Homepage: https://github.com/hbci4j/hbci4java

Package: libhbci4j-core-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}, libhbci4j-core-java-doc
Description: Java online banking client using the HBCI standard
 HBCI4Java is a Java library for homebanking and contains support for
 chipTAN, smsTAN, HHD, SEPA.

Package: libhbci4j-core-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}
Suggests: libhbci4j-core-java
Description: Documentation for Java online banking client using the HBCI standard
 HBCI4Java is a Java library for homebanking and contains support for
 chipTAN, smsTAN, HHD, SEPA.
 .
 This package contains the API documentation of libhbci4j-core-java.

## hbci4java 3.0.16+dfsg

=== debian/changelog ===
hbci4java (3.0.16+dfsg-1) unstable; urgency=medium

  * Add R³
  * Add Multi-Arch: foreign
  * New upstream version 3.0.16+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jun 2018 08:10:06 +0200

## hbci4java 3.0.17+dfsg

=== debian/changelog ===
hbci4java (3.0.17+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.17+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jun 2018 08:27:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
+Rules-Requires-Root: no
 Homepage: https://github.com/hbci4j/hbci4java
 
 Package: libhbci4j-core-java
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${maven:Depends}
 Suggests: ${maven:OptionalDepends}, libhbci4j-core-java-doc
 Description: Java online banking client using the HBCI standard
@@ -21,6 +23,7 @@
 
 Package: libhbci4j-core-java-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}

## hbci4java 3.0.19+dfsg

=== debian/changelog ===
hbci4java (3.0.19+dfsg-2) unstable; urgency=medium

  * Fix unit test on slow machines

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Aug 2018 08:37:04 +0200

hbci4java (3.0.19+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.19+dfsg
  * Update copyright
  * Rebase patches
  * Add jaxb patch and dependencies
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Aug 2018 21:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
- libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc 
-Standards-Version: 4.1.4
+ libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java, libactivation-java
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.0.20+dfsg

=== debian/changelog ===
hbci4java (3.0.20+dfsg-1) unstable; urgency=medium

  * Remove patch (not needed with 0004-Add-jaxb-api-dependency.patch)
  * Remove unused dependencies
  * New upstream version 3.0.20+dfsg
  * Rebase patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Sep 2018 21:04:29 +0200

## hbci4java 3.0.21+dfsg

=== debian/changelog ===
hbci4java (3.0.21+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.21+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Nov 2018 19:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
- libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java, libactivation-java
-Standards-Version: 4.2.0
+ libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.0.22+dfsg

=== debian/changelog ===
hbci4java (3.0.22+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.22+dfsg
  * Bump policy version (no changes)
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 30 Jan 2019 20:55:27 +0100

## hbci4java 3.0.24+dfsg

=== debian/changelog ===
hbci4java (3.0.24+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.24+dfsg
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jul 2019 21:18:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.21+dfsg

=== debian/changelog ===
hbci4java (3.1.21+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.21+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Oct 2019 07:23:25 +0200

hbci4java (3.1.19+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.19+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Oct 2019 07:15:46 +0200

hbci4java (3.1.18+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.18+dfsg
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 Oct 2019 08:37:41 +0200

hbci4java (3.1.17+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.17+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Sep 2019 15:58:51 +0200

hbci4java (3.1.15+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.15+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Sep 2019 22:08:13 +0200

hbci4java (3.1.13+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.13+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Sep 2019 00:03:24 +0200

hbci4java (3.1.9+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.9+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Sep 2019 16:26:17 +0200

hbci4java (3.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.5+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Sep 2019 22:16:56 +0200

hbci4java (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.4+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Sep 2019 10:14:46 +0200

hbci4java (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.2+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Sep 2019 21:19:49 +0200

## hbci4java 3.1.22+dfsg

=== debian/changelog ===
hbci4java (3.1.22+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.22+dfsg
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Oct 2019 12:37:14 +0100

## hbci4java 3.1.24+dfsg

=== debian/changelog ===
hbci4java (3.1.24+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.24+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Nov 2019 21:08:22 +0100

## hbci4java 3.1.29+dfsg

=== debian/changelog ===
hbci4java (3.1.29+dfsg-1+deb10u1) buster; urgency=medium

  * New upstream version 3.1.29+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Dec 2019 18:44:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/hbci4j/hbci4java/releases \
    (?:.*?/)?hbci4j-core-(\d[\d.]*)\.tar\.gz debian uupdate

## hbci4java 3.1.32+dfsg

=== debian/changelog ===
hbci4java (3.1.32+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.32+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jan 2020 18:23:11 +0100

hbci4java (3.1.29+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.29+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Dec 2019 11:13:50 +0100

## hbci4java 3.1.37+dfsg

=== debian/changelog ===
hbci4java (3.1.37+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.37+dfsg
  * update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Jan 2020 20:30:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.38+dfsg

=== debian/changelog ===
hbci4java (3.1.38+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.38+dfsg
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 11 Apr 2020 09:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.39+dfsg

=== debian/changelog ===
hbci4java (3.1.39+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.39+dfsg
  * bump debhelper version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 15:31:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
 Standards-Version: 4.5.0

## hbci4java 3.1.41+dfsg

=== debian/changelog ===
hbci4java (3.1.41+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.41+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 08:19:34 +0200

## hbci4java 3.1.42+dfsg

=== debian/changelog ===
hbci4java (3.1.42+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.42+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 06:31:29 +0200

## hbci4java 3.1.49%2Bdfsg

=== chipcard/src/Makefile ===

all:
	make -C lowlevel all
	make -C highlevel all
	make -C frontend all
	make -C tools all

## hbci4java 3.1.49+dfsg

=== debian/changelog ===
hbci4java (3.1.49+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.49+dfsg
  * bump policy version (no changes)
  * strip whitespace

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Dec 2020 23:11:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.1)
-Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),  
+Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/hbci4j/hbci4java/releases \
    (?:.*?/)?hbci4j-core-(\d[\d.]*)\.tar\.gz

## hbci4java 3.1.55+dfsg

=== debian/changelog ===
hbci4java (3.1.55+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.55+dfsg
  * bump policy version (no changes)
  * switch watch to /tags

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Sep 2021 22:23:34 +0200

## hbci4java 3.1.56+dfsg

=== debian/changelog ===
hbci4java (3.1.56+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.56+dfsg
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jan 2022 07:34:45 +0100

## hbci4java 3.1.57+dfsg

=== debian/changelog ===
hbci4java (3.1.57+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.57+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Jan 2022 19:38:06 +0100

## hbci4java 3.1.58+dfsg

=== debian/changelog ===
hbci4java (3.1.58+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.58+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 08 Feb 2022 19:58:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.1)
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),
  libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.59+dfsg

=== debian/changelog ===
hbci4java (3.1.59+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.59+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 May 2022 23:07:33 +0200

## hbci4java 3.1.60+dfsg

=== debian/changelog ===
hbci4java (3.1.60+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.60+dfsg
  * Bump policy version (no changes)
  * Drop versioned dependencies (version in oldstable)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 21 Jun 2022 20:44:25 +0200

## hbci4java 3.1.61+dfsg

=== debian/changelog ===
hbci4java (3.1.61+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.61+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Aug 2022 08:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.1)
-Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),
- libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
+Build-Depends-Indep: libmaven-install-plugin-java, libmaven-javadoc-plugin-java,
+ libmaven-jaxb2-plugin-java, junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.62+dfsg

=== debian/changelog ===
hbci4java (3.1.62+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.62+dfsg
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Sep 2022 11:34:58 +0200

## hbci4java 3.1.64+dfsg

=== debian/changelog ===
hbci4java (3.1.64+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.64+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 15:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no
 Homepage: https://github.com/hbci4j/hbci4java
+Description: Java online banking client using the HBCI standard
+ HBCI4Java is a Java library for homebanking and contains support for
+ chipTAN, smsTAN, HHD, SEPA.
 
 Package: libhbci4j-core-java
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${maven:Depends}
 Suggests: ${maven:OptionalDepends}, libhbci4j-core-java-doc
-Description: Java online banking client using the HBCI standard
- HBCI4Java is a Java library for homebanking and contains support for
- chipTAN, smsTAN, HHD, SEPA.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
 
 Package: libhbci4j-core-java-doc
 Architecture: all
@@ -28,8 +30,7 @@
 Depends: ${misc:Depends}
 Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}
 Suggests: libhbci4j-core-java
-Description: Documentation for Java online banking client using the HBCI standard
- HBCI4Java is a Java library for homebanking and contains support for
- chipTAN, smsTAN, HHD, SEPA.
+Description: Documentation for ${source:Synopsis}
+ ${source:Extended-Description}
  .
  This package contains the API documentation of libhbci4j-core-java.

## hbci4java 3.1.67+dfsg

=== debian/changelog ===
hbci4java (3.1.67+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.67+dfsg
  * Update d/copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Jun 2023 11:20:53 +0200

## hbci4java 3.1.72

=== debian/changelog ===
hbci4java (3.1.72-1) unstable; urgency=medium

  * New upstream version 3.1.72

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Nov 2023 09:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
 Build-Depends-Indep: libmaven-install-plugin-java, libmaven-javadoc-plugin-java,
  libmaven-jaxb2-plugin-java, junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.80+dfsg

=== chipcard/src/highlevel/Makefile ===

DEFINES  = -D__UNIX
INCLUDES = -I../include
WARNINGS = -Wall
# removed "-Werror -pedantic" because of dlsym() typecast problem

CC       = g++
AR       = ar
CFLAGS   = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)

SOURCES = hbci_cardtype.cpp \
          ddv_decrypt.cpp \
          ddv_encrypt.cpp \
          ddv_readbankdata.cpp \
          ddv_readkeydata.cpp \
     	  ddv_readsigid.cpp \
	      ddv_signdata.cpp \
	      ddv_pins.cpp \
	      ddv_writebankdata.cpp \
	      ddv_writesigid.cpp \
	      rsa_pins.cpp \
          rsa_cardnumber.cpp

OBJECTS = ../../bin/hbci_cardtype.o \
          ../../bin/ddv_decrypt.o \
          ../../bin/ddv_encrypt.o \
          ../../bin/ddv_readbankdata.o \
	      ../../bin/ddv_readkeydata.o \
	      ../../bin/ddv_readsigid.o \
	      ../../bin/ddv_signdata.o \
	      ../../bin/ddv_pins.o \
	      ../../bin/ddv_writebankdata.o \
	      ../../bin/ddv_writesigid.o \
	      ../../bin/rsa_pins.o \
          ../../bin/rsa_cardnumber.o

.SUFFIXES: .cpp .o

../../bin/%.o: %.cpp
	$(CC) -c -o $@ $(CFLAGS) $<

all: depend ../../bin/libzkachip-highlevel.a

depend: Makefile.depend

Makefile.depend: $(SOURCES)
	for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend

../../bin/libzkachip-highlevel.a: $(OBJECTS)
	$(AR) rcsv $@ $(OBJECTS)

include Makefile.depend

=== debian/changelog ===
hbci4java (3.1.80+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.80+dfsg
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 08:14:41 +0200

## hbci4java 3.1.83+dfsg

=== debian/changelog ===
hbci4java (3.1.83+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.83+dfsg
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Oct 2024 09:21:41 +0200

## hbci4java 3.1.84+dfsg

=== debian/changelog ===
hbci4java (3.1.84+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.84+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Nov 2024 11:47:58 +0100

## hbci4java 3.1.85+dfsg

=== chipcard/src/lowlevel/Makefile ===

DEFINES  = -D__UNIX
INCLUDES = -I../include
WARNINGS = -Wall
# removed "-Werror -pedantic" because of dlsym() typecast problem

CC       = g++
AR       = ar
CFLAGS   = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)

SOURCES = atr.cpp \
          bcs.cpp \
          ctapi-tools.cpp \
	  get_challenge.cpp \
	  get_keyinfo.cpp \
	  internal_authenticate.cpp \
	  put_data.cpp \
          read_binary.cpp \
          read_record.cpp \
          select_file.cpp \
          tools.cpp \
	  verify_pin.cpp \
	  modify_pin.cpp \
	  write_record.cpp

OBJECTS = ../../bin/atr.o \
          ../../bin/bcs.o \
          ../../bin/ctapi-tools.o \
	  ../../bin/get_challenge.o \
	  ../../bin/get_keyinfo.o \
	  ../../bin/internal_authenticate.o \
	  ../../bin/put_data.o \
          ../../bin/read_binary.o \
          ../../bin/read_record.o \
          ../../bin/select_file.o \
          ../../bin/tools.o \
	  ../../bin/verify_pin.o \
	  ../../bin/modify_pin.o \
	  ../../bin/write_record.o

.SUFFIXES: .cpp .o

../../bin/%.o: %.cpp
	$(CC) -c -o $@ $(CFLAGS) $<

all: depend ../../bin/libzkachip-lowlevel.a

depend: Makefile.depend

Makefile.depend: $(SOURCES)
	for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend

../../bin/libzkachip-lowlevel.a: $(OBJECTS)
	$(AR) rcsv $@ $(OBJECTS)

include Makefile.depend

=== debian/changelog ===
hbci4java (3.1.85+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.85+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Nov 2024 17:00:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
 Build-Depends-Indep: libmaven-install-plugin-java, libmaven-javadoc-plugin-java,
  libmaven-jaxb2-plugin-java, junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

## hbci4java 3.1.90+dfsg

=== chipcard/Makefile ===

all: lib/libhbci4java-card-linux.so

lib/libhbci4java-card-linux.so: bin/libhbci4java-card-linux.so
	cp bin/libhbci4java-card-linux.so lib/

bin/libhbci4java-card-linux.so: .make

.make:
	mkdir -p bin bin.mac
	make -C src all

clean:
	-rm -f lib/libhbci4java-card-linux.so
	-rm -rf bin bin.mac
	-rm -f `find -name Makefile.depend`

=== chipcard/src/frontend/Makefile ===
JAVA_HOME = $(shell readlink -f /usr/bin/javac | sed "s:/bin/javac::")
DEFINES   = -D__UNIX
INCLUDES  = -I../include -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
WARNINGS  = -Wall
# removed "-Werror -pedantic" because of dlsym() typecast problem

CC       = g++
CFLAGS   = -fPIC $(DEFINES) $(INCLUDES) $(WARNINGS)
LIBS     = -L../../bin -lzkachip-highlevel -lzkachip-lowlevel

SOURCES = frontend.cpp

OBJECTS = ../../bin/frontend.o

.SUFFIXES: .cpp .o

../../bin/%.o: %.cpp
	$(CC) -c -o $@ $(CFLAGS) $<

all: depend ../../bin/libhbci4java-card-linux.so

depend: Makefile.depend

Makefile.depend: $(SOURCES)
	for file in $(SOURCES); do echo -n "../../bin/"; gcc $(CFLAGS) -MM $$file; done >Makefile.depend

../../bin/libhbci4java-card-linux.so: $(OBJECTS) ../../bin/libzkachip-highlevel.a ../../bin/libzkachip-lowlevel.a
	$(CC) -fPIC -shared -o $@ $(OBJECTS) $(LIBS) 

include Makefile.depend

=== debian/changelog ===
hbci4java (3.1.90+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.90+dfsg
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Aug 2025 21:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
 Build-Depends-Indep: libmaven-install-plugin-java, libmaven-javadoc-plugin-java,
  libmaven-jaxb2-plugin-java, junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/hbci4j/hbci4java/tags \
    (?:.*?/)?hbci4j-core-(\d[\d.]*)\.tar\.gz

## hbci4java 4.1.3%2Bdfsg

=== debian/changelog ===
hbci4java (4.1.3+dfsg-1) unstable; urgency=medium

  * Switch d/watch to v5
  * Exclude gradle wrapper in d/copyright
  * New upstream version 4.1.3+dfsg
  * Revert back to maven as build system
  * Drop R³

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Nov 2025 16:47:34 +0100

## hbci4java 4.1.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
-Rules-Requires-Root: no
 Homepage: https://github.com/hbci4j/hbci4java
 Description: Java online banking client using the HBCI standard
  HBCI4Java is a Java library for homebanking and contains support for

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hbci4j
Project: hbci4java
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg

## hbci4java 4.1.4+dfsg

=== debian/changelog ===
hbci4java (4.1.4+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Dec 2025 10:54:49 +0100

hbci4java (4.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.4+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Nov 2025 11:16:36 +0100

## hbci4java 4.1.6+dfsg

=== debian/changelog ===
hbci4java (4.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.6+dfsg
  * Drop optional priority
  * Bump policy version (no changes)
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jan 2026 12:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: hbci4java
 Section: java
-Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
 Build-Depends-Indep: libmaven-install-plugin-java, libmaven-javadoc-plugin-java,
  libmaven-jaxb2-plugin-java, junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java
 Homepage: https://github.com/hbci4j/hbci4java
